## Function template operator<<

boost::log::operator<<

## Synopsis

    // In header: <boost/log/utility/manipulators/optional.hpp>

    template<typename StreamT, typename OptionalT, typename NoneT>
      unspecified operator<<(StreamT & strm,
                             optional_manipulator< OptionalT, NoneT > const & manip);

## Description

Stream output operator for `optional_manipulator`. Outputs the optional value or the "none" marker, if one was specified on manipulator construction.